Bug 1471839 - [RFE] Heat template for monitoring is restricted to 1 host
Summary: [RFE] Heat template for monitoring is restricted to 1 host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M1
: 13.0 (Queens)
Assignee: Martin Magr
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-17 14:15 UTC by Robin Cernin
Modified: 2018-06-27 13:33 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180103192339.d05b39d.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:32:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1714910 None None None 2017-09-04 09:18:35 UTC
OpenStack gerrit 495149 None None None 2017-08-18 10:43:03 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:33:21 UTC

Description Robin Cernin 2017-07-17 14:15:05 UTC
TripleO affected templates:

collectd-environment.yaml
logging-environment.yaml

We do not allow multiple servers to be specified in those environment files.

We are looking for MonitoringRabbitHost server redundancy.

Templates example:

  #### Sensu settings ####
  MonitoringRabbitHost: 10.10.10.10
  MonitoringRabbitPort: 5672
  MonitoringRabbitUserName: sensu
  MonitoringRabbitPassword: sensu
  MonitoringRabbitUseSSL: false
  MonitoringRabbitVhost: "/sensu"

Comment 1 Martin Magr 2017-07-19 08:56:20 UTC
Hey Robin, so affected template is /usr/share/openstack-tripleo-heat-templates/environments/monitoring-environment.yaml, correct? I'm asking because MonitoringRabbit* parameters are not part of collectd-environment.yaml or logging-environment.yaml. I'm gonna check if sensu puppet module supports multiple rabbitmq host already. If yes, the you should be able to provide multiple host already. If not, we will have to implement this feature. Please stay tuned.

Comment 2 Robin Cernin 2017-07-19 09:07:46 UTC
Hi, yes sorry ffix it in the monitoring-environment.yaml.

Comment 3 Martin Magr 2017-07-19 09:11:41 UTC
So bad new is that the currently used parameter is not supporting multiple RabbitMQ hosts. The good new is that there is rabbitmq_cluster parameter implemented already in the puppet module, so the change will be required only on the level of tripleo-heat-templates.

Comment 17 Leonid Natapov 2018-03-15 13:09:00 UTC
Was able to deploy with MonitoringRabbitCluster configuration.

Tested with 2 rabbit cluster nodes. Did sensu sanity with rabbit cluster. Looks ok.

openstack-tripleo-heat-templates-8.0.0-0.20180227121938.e0f59ee.el7ost.noarch

Comment 19 errata-xmlrpc 2018-06-27 13:32:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.